#pragma once

#include "../../GAME_COMMON.h"

extern ECSComponentInfo COMPONENT_SPRITE_INFO;

typedef struct ComponentSprite
{
	u32 id;
	vec2 size;
	vec3 offset;
	vec3 position;
	vec4 color;
	f32 scale;
	f32 rotation;
} ComponentSprite;

void component_sprite_init(ComponentSprite* self);
